Debian Bug report logs - #673385
lynx-cur: in UTF-8 locales, lynx displays search text at the wrong column if preceded by non-ASCII (multibyte) characters

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Fri, 18 May 2012 08:39:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version lynx-cur/2.8.8dev.12-2

Fixed in version lynx-cur/2.8.8dev.15-1

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#673385; Package lynx-cur. (Fri, 18 May 2012 08:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Fri, 18 May 2012 08:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx-cur: lynx displays search text at the wrong column if preceded by UTF-8 characters
Date: Fri, 18 May 2012 10:37:06 +0200
Package: lynx-cur
Version: 2.8.8dev.12-2
Severity: normal

lynx displays search text at the wrong column if preceded by UTF-8
characters. For instance, consider:

<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<title>Search test in lynx in a UTF-8 terminal</title>
</head>
<body>
<p>……… In <cite>lynx</cite>, search for "foo" by typing: /foo</p>
</body>
</html>

(before "In" there are 3 ellipsis characters, but other non-ASCII
characters will trigger the same problem: I suppose that lynx is
confused by multibyte characters).

Run lynx on this file in a UTF-8 terminal (e.g. xterm under UTF-8
locales), and search for "foo" by typing: /foo

One gets:

   ……… In lynx, search for "foo" bfooyping: /foo   foo
                                  ^^^              ^^^

where the "foo" over ^^^ are colored, i.e. this text has been
displayed (for the colored version) at the wrong column.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=POSIX, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lynx-cur depends on:
ii  libbsd0       0.3.0-2
ii  libbz2-1.0    1.0.6-1
ii  libc6         2.13-32
ii  libgcrypt11   1.5.0-3
ii  libgnutls26   2.12.19-1
ii  libidn11      1.24-2
ii  libncursesw5  5.9-7
ii  libtinfo5     5.9-7
ii  zlib1g        1:1.2.7.dfsg-1

Versions of packages lynx-cur recommends:
ii  mime-support  3.52-1

lynx-cur suggests no packages.

-- debconf information:
  lynx-cur/defaulturl: http://www.vinc17.org/
  lynx-cur/etc_lynx.cfg:




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#673385; Package lynx-cur. (Wed, 15 Aug 2012 10:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Wed, 15 Aug 2012 10:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 673385@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>, 673385@bugs.debian.org
Cc: 673385-submitter@bugs.debian.org
Subject: Re: Bug#673385: lynx-cur: lynx displays search text at the wrong column if preceded by UTF-8 characters
Date: Wed, 15 Aug 2012 05:46:53 -0400
[Message part 1 (text/plain, inline)]
On Fri, May 18, 2012 at 10:37:06AM +0200, Vincent Lefevre wrote:
> Package: lynx-cur
> Version: 2.8.8dev.12-2
> Severity: normal
> 
> lynx displays search text at the wrong column if preceded by UTF-8
> characters. For instance, consider:

This is addressed by setting

XHTML_PARSING:true

in lynx.cfg

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#673385. (Wed, 15 Aug 2012 10:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#673385; Package lynx-cur. (Wed, 15 Aug 2012 11:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Wed, 15 Aug 2012 11:09:03 GMT) Full text and rfc822 format available.

Message #18 received at 673385@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 673385@bugs.debian.org, 673385-submitter@bugs.debian.org
Subject: Re: Bug#673385: lynx-cur: lynx displays search text at the wrong column if preceded by UTF-8 characters
Date: Wed, 15 Aug 2012 13:01:56 +0200
On 2012-08-15 05:46:53 -0400, Thomas Dickey wrote:
> On Fri, May 18, 2012 at 10:37:06AM +0200, Vincent Lefevre wrote:
> > lynx displays search text at the wrong column if preceded by UTF-8
> > characters. For instance, consider:
> 
> This is addressed by setting
> 
> XHTML_PARSING:true
> 
> in lynx.cfg

I don't see why a display problem should be affected by parsing.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#673385. (Wed, 15 Aug 2012 11:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#673385; Package lynx-cur. (Wed, 15 Aug 2012 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Wed, 15 Aug 2012 20:51:03 GMT) Full text and rfc822 format available.

Message #26 received at 673385@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 673385@bugs.debian.org, 673385-submitter@bugs.debian.org
Subject: Re: Bug#673385: lynx-cur: lynx displays search text at the wrong column if preceded by UTF-8 characters
Date: Wed, 15 Aug 2012 16:46:03 -0400
[Message part 1 (text/plain, inline)]
On Wed, Aug 15, 2012 at 01:01:56PM +0200, Vincent Lefevre wrote:
> On 2012-08-15 05:46:53 -0400, Thomas Dickey wrote:
> > On Fri, May 18, 2012 at 10:37:06AM +0200, Vincent Lefevre wrote:
> > > lynx displays search text at the wrong column if preceded by UTF-8
> > > characters. For instance, consider:
> > 
> > This is addressed by setting
> > 
> > XHTML_PARSING:true
> > 
> > in lynx.cfg
> 
> I don't see why a display problem should be affected by parsing.

The character-set information is given only as an xml processing instruction,
which in turn is used by lynx only when XHTML_PARSING is set.

(There are other settings to override the defaults, but that's the most
direct way).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#673385. (Wed, 15 Aug 2012 20:51:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#673385; Package lynx-cur. (Wed, 15 Aug 2012 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Wed, 15 Aug 2012 21:42:03 GMT) Full text and rfc822 format available.

Message #34 received at 673385@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: dickey@his.com
Cc: 673385@bugs.debian.org
Subject: Re: Bug#673385: lynx-cur: lynx displays search text at the wrong column if preceded by UTF-8 characters
Date: Wed, 15 Aug 2012 23:38:38 +0200
retitle 673385 lynx-cur: in UTF-8 locales, lynx displays search text at the wrong column if preceded by non-ASCII (multibyte) characters
thanks

On 2012-08-15 16:46:03 -0400, Thomas Dickey wrote:
> On Wed, Aug 15, 2012 at 01:01:56PM +0200, Vincent Lefevre wrote:
> > On 2012-08-15 05:46:53 -0400, Thomas Dickey wrote:
> > > On Fri, May 18, 2012 at 10:37:06AM +0200, Vincent Lefevre wrote:
> > > > lynx displays search text at the wrong column if preceded by UTF-8
> > > > characters. For instance, consider:
> > > 
> > > This is addressed by setting
> > > 
> > > XHTML_PARSING:true
> > > 
> > > in lynx.cfg
> > 
> > I don't see why a display problem should be affected by parsing.
> 
> The character-set information is given only as an xml processing instruction,
> which in turn is used by lynx only when XHTML_PARSING is set.

But lynx got the charset information right. Otherwise it couldn't
have output the ellipsis characters correctly!

Getting incorrect charset information from a (X)HTML file can
lead to incorrect characters to be displayed, but certainly not
a display consistency problem as reported here.

Actually there's *exactly* the same problem with an ASCII XHTML file
(here, ASCII refers to the source): in the example, just replace the
<p>...</p> line by:

<p>&#8230;&#8230;&#8230; In <cite>lynx</cite>, search for "foo" by typing: /foo</p>

I've retitled the bug, because the "UTF-8" was ambiguous. The problem
is not related to the encoding used in the HTML file, but IMHO, to the
internal use of UTF-8 for the output to a terminal with UTF-8 locales.
I think that lynx assumes that the column is obtained by counting the
number of bytes, but in UTF-8 locales, this is wrong due to multibyte
characters.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Changed Bug title to 'lynx-cur: in UTF-8 locales, lynx displays search text at the wrong column if preceded by non-ASCII (multibyte) characters' from 'lynx-cur: lynx displays search text at the wrong column if preceded by UTF-8 characters' Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Wed, 15 Aug 2012 21:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#673385; Package lynx-cur. (Thu, 16 Aug 2012 09:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Thu, 16 Aug 2012 09:51:08 GMT) Full text and rfc822 format available.

Message #41 received at 673385@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>, 673385@bugs.debian.org
Cc: dickey@his.com
Subject: Re: Bug#673385: lynx-cur: lynx displays search text at the wrong column if preceded by UTF-8 characters
Date: Thu, 16 Aug 2012 05:50:20 -0400
[Message part 1 (text/plain, inline)]
On Wed, Aug 15, 2012 at 11:38:38PM +0200, Vincent Lefevre wrote:
> retitle 673385 lynx-cur: in UTF-8 locales, lynx displays search text at the wrong column if preceded by non-ASCII (multibyte) characters
> thanks
> 
> On 2012-08-15 16:46:03 -0400, Thomas Dickey wrote:
> > On Wed, Aug 15, 2012 at 01:01:56PM +0200, Vincent Lefevre wrote:
> > > On 2012-08-15 05:46:53 -0400, Thomas Dickey wrote:
> > > > On Fri, May 18, 2012 at 10:37:06AM +0200, Vincent Lefevre wrote:
> > > > > lynx displays search text at the wrong column if preceded by UTF-8
> > > > > characters. For instance, consider:
> > > > 
> > > > This is addressed by setting
> > > > 
> > > > XHTML_PARSING:true
> > > > 
> > > > in lynx.cfg
> > > 
> > > I don't see why a display problem should be affected by parsing.
> > 
> > The character-set information is given only as an xml processing instruction,
> > which in turn is used by lynx only when XHTML_PARSING is set.
> 
> But lynx got the charset information right. Otherwise it couldn't
> have output the ellipsis characters correctly!

not exactly (I think this would be a long explanation...)

Running your example (default lynx.cfg, uxterm, Debian/testing),
I pressed "=" to see the document charset is "iso-8859-1".
I pressed "o" to see that the display charset is UTF-8, while the document
charset is iso-8859-1.

So far I'm not seeing any details that contradict my advice above.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#673385; Package lynx-cur. (Thu, 16 Aug 2012 10:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Thu, 16 Aug 2012 10:57:03 GMT) Full text and rfc822 format available.

Message #46 received at 673385@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>, 673385@bugs.debian.org
Cc: dickey@his.com
Subject: Re: Bug#673385: lynx-cur: lynx displays search text at the wrong column if preceded by UTF-8 characters
Date: Thu, 16 Aug 2012 06:53:54 -0400
[Message part 1 (text/plain, inline)]
On Wed, Aug 15, 2012 at 11:38:38PM +0200, Vincent Lefevre wrote:
> Actually there's *exactly* the same problem with an ASCII XHTML file
> (here, ASCII refers to the source): in the example, just replace the
> <p>...</p> line by:
> 
> <p>&#8230;&#8230;&#8230; In <cite>lynx</cite>, search for "foo" by typing: /foo</p>

that's a different aspect (offhand, it "should" work- will investigate)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#673385; Package lynx-cur. (Thu, 16 Aug 2012 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Thu, 16 Aug 2012 12:21:03 GMT) Full text and rfc822 format available.

Message #51 received at 673385@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 673385@bugs.debian.org
Subject: Re: Bug#673385: lynx-cur: lynx displays search text at the wrong column if preceded by UTF-8 characters
Date: Thu, 16 Aug 2012 14:19:35 +0200
On 2012-08-16 05:50:20 -0400, Thomas Dickey wrote:
> Running your example (default lynx.cfg, uxterm, Debian/testing),
> I pressed "=" to see the document charset is "iso-8859-1".

This is what I get here too, but the charset is really utf-8:
if I do the following change:

Index: lynx-search.html
===================================================================
--- lynx-search.html    (revision 54212)
+++ lynx-search.html    (working copy)
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="utf-8"?>
+<?xml version="1.0" encoding="iso-8859-1"?>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
 

what the displayed content is different (the one obtain with an
iso-8859-1 encoding). This shows that the specified encoding was
really taken into account.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#673385; Package lynx-cur. (Thu, 16 Aug 2012 12:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Thu, 16 Aug 2012 12:24:03 GMT) Full text and rfc822 format available.

Message #56 received at 673385@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Thomas Dickey <dickey@his.com>
Cc: 673385@bugs.debian.org
Subject: Re: Bug#673385: lynx-cur: lynx displays search text at the wrong column if preceded by UTF-8 characters
Date: Thu, 16 Aug 2012 14:21:06 +0200
On 2012-08-16 06:53:54 -0400, Thomas Dickey wrote:
> On Wed, Aug 15, 2012 at 11:38:38PM +0200, Vincent Lefevre wrote:
> > Actually there's *exactly* the same problem with an ASCII XHTML file
> > (here, ASCII refers to the source): in the example, just replace the
> > <p>...</p> line by:
> > 
> > <p>&#8230;&#8230;&#8230; In <cite>lynx</cite>, search for "foo" by typing: /foo</p>
> 
> that's a different aspect (offhand, it "should" work- will investigate)

This is exactly the bug I reported, i.e. I see no differences
between the use of "&#8230;" and the use of Unicode characters
directly.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Mon, 19 Nov 2012 01:21:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#673385; Package lynx-cur. (Mon, 19 Nov 2012 01:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Mon, 19 Nov 2012 01:36:03 GMT) Full text and rfc822 format available.

Message #63 received at 673385@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 673385@bugs.debian.org
Cc: 673385-submitter@bugs.debian.org
Subject: re: #673385 lynx-cur: in UTF-8 locales, lynx displays search text at the wrong column if preceded by non-ASCII (multibyte) characters
Date: Sun, 18 Nov 2012 20:17:33 -0500
[Message part 1 (text/plain, inline)]
this is addressed in dev.15

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#673385. (Mon, 19 Nov 2012 01:36:07 GMT) Full text and rfc822 format available.

Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. (Thu, 22 Nov 2012 01:06:03 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Thu, 22 Nov 2012 01:06:04 GMT) Full text and rfc822 format available.

Message #71 received at 673385-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 673385-close@bugs.debian.org
Subject: Bug#673385: fixed in lynx-cur 2.8.8dev.15-1
Date: Thu, 22 Nov 2012 01:02:39 +0000
Source: lynx-cur
Source-Version: 2.8.8dev.15-1

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673385@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 21 Nov 2012 21:54:10 +0900
Source: lynx-cur
Binary: lynx-cur lynx-cur-wrapper lynx
Architecture: source all i386
Version: 2.8.8dev.15-1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx       - Text-mode WWW Browser (transitional package)
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur (transitional package)
Closes: 673385 691904 692443
Changes: 
 lynx-cur (2.8.8dev.15-1) unstable; urgency=low
 .
   * New Upstream Release.
    - Fixed a security bug, CVE-2012-5821: improve checking of certificates
      in the gnutls_certificate_verify_peers2() by handling special case where
      self-signed certificates should be reported (patch by Jamie Strandboge).
      (Closes: #692443)
    - revise nsl-fork logic for passing addrinfo and hostent data back
      to eliminate fixed limit on the number of records to return
      (Closes: #691904)
    - corrected position of highlighting from search/whereis function when using
      multibyte characters.  (Closes: #673385)
   * Updated patches files in debian/patches.
Checksums-Sha1: 
 a9d236452520009fe04f4bd3de1c5664160f085a 1290 lynx-cur_2.8.8dev.15-1.dsc
 793359444c6e378c1c1fce561ed47ff5c57d962f 3531640 lynx-cur_2.8.8dev.15.orig.tar.gz
 801c6d85041afa7ed50fce2a2a79d237ecfe7edf 32111 lynx-cur_2.8.8dev.15-1.diff.gz
 1f5586dad1de13c49b384ae8a8e46eb1fcde9e04 224728 lynx-cur-wrapper_2.8.8dev.15-1_all.deb
 574102e1b23df963e537f0e9beca2ebc15cdee28 225092 lynx_2.8.8dev.15-1_all.deb
 e0fce61250296946dfa4eb414234da4cc66a9215 2219460 lynx-cur_2.8.8dev.15-1_i386.deb
Checksums-Sha256: 
 312ebe1255687ff1e299583c8fe69aa4d951073a6983a505ebdded0d17dfad9a 1290 lynx-cur_2.8.8dev.15-1.dsc
 94726a70271f3df4c14d74ac7ea456507d0c6c1ec58b7b8006896d97e6605326 3531640 lynx-cur_2.8.8dev.15.orig.tar.gz
 0c2a846db38e200a7e0bd74d473f7610d8bf27bddb1c5d2b8c59376e09fe55ec 32111 lynx-cur_2.8.8dev.15-1.diff.gz
 804fad722f5ea9f43f37f7c824928b53bbb8eef8c40ebd6d659a573852618b43 224728 lynx-cur-wrapper_2.8.8dev.15-1_all.deb
 9611efa7649a465fcb75d735ec00154ea56e3501186f36303f85e86bd2618d3f 225092 lynx_2.8.8dev.15-1_all.deb
 9ca8203fbe1b50ff509e9509fab53ed2672d8f077ddc5d8444120333c7b2ddea 2219460 lynx-cur_2.8.8dev.15-1_i386.deb
Files: 
 890e17be437393cf6fec4baf1a5818ef 1290 web extra lynx-cur_2.8.8dev.15-1.dsc
 b5c12abd27a4bc1d76a7e0e52b2f3a46 3531640 web extra lynx-cur_2.8.8dev.15.orig.tar.gz
 60a21069888360eb814efcb771673b26 32111 web extra lynx-cur_2.8.8dev.15-1.diff.gz
 2bb7d40584e488615a802480b313c514 224728 oldlibs extra lynx-cur-wrapper_2.8.8dev.15-1_all.deb
 b17e63ebd719fdc330fcf5857bdcfbe0 225092 oldlibs extra lynx_2.8.8dev.15-1_all.deb
 36f1400e22a4b31a14b34350d38b0e6a 2219460 web extra lynx-cur_2.8.8dev.15-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCtdlgACgkQ1IXdL1v6kOyToACfSPgQj2vXYO69hhc837qjjn3Q
UqEAn3gqB2pOW+XzXMRtu4IpL4QrjNJi
=mDcT
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Dec 2013 07:31:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:47:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.